Loading...
Searching...
No Matches
openshot::TimelineBase Class Referenceabstract

This class represents a timeline (used for building generic timeline implementations) More...

`#include <TimelineBase.h>`

Inheritance diagram for openshot::TimelineBase:

## Public Member Functions

virtual std::list< openshot::Clip * > | Clips ()=0
| TimelineBase ()
| Constructor for the base timeline.
virtual | ~TimelineBase ()=default

## Public Attributes

int | preview_height
| Optional preview width of timeline image. If your preview window is smaller than the timeline, it's recommended to set this.
int | preview_width
| Optional preview width of timeline image. If your preview window is smaller than the timeline, it's recommended to set this.

## Detailed Description

This class represents a timeline (used for building generic timeline implementations)

Definition at line 41 of file TimelineBase.h.

## Constructor & Destructor Documentation

## TimelineBase()

TimelineBase::TimelineBase | ( |  | ) |

Constructor for the base timeline.

Definition at line 18 of file TimelineBase.cpp.

## ~TimelineBase()

virtual openshot::TimelineBase::~TimelineBase | ( |  | ) |

virtual default

## Member Function Documentation

## Clips()

virtual std::list< openshot::Clip * > openshot::TimelineBase::Clips | ( |  | ) |

pure virtual

This function will be overloaded in the Timeline class passing no arguments so we'll be able to access the Timeline::Clips() function from a pointer object of the TimelineBase class

Implemented in openshot::Timeline.

## Member Data Documentation

## preview_height

int openshot::TimelineBase::preview_height

Optional preview width of timeline image. If your preview window is smaller than the timeline, it's recommended to set this.

Definition at line 45 of file TimelineBase.h.

Referenced by openshot::Timeline::GetFrame(), openshot::VideoCacheThread::run(), openshot::Timeline::SetJsonValue(), openshot::Timeline::SetMaxSize(), and openshot::Timeline::Timeline().

## preview_width

int openshot::TimelineBase::preview_width

Optional preview width of timeline image. If your preview window is smaller than the timeline, it's recommended to set this.

Definition at line 44 of file TimelineBase.h.

Referenced by openshot::Timeline::GetFrame(), openshot::VideoCacheThread::run(), openshot::Timeline::SetJsonValue(), openshot::Timeline::SetMaxSize(), and openshot::Timeline::Timeline().

The documentation for this class was generated from the following files:

- TimelineBase.h
- TimelineBase.cpp